## r-cran-httptest2 1.1.0+ds

=== DESCRIPTION ===
Package: httptest2
Type: Package
Title: Test Helpers for 'httr2'
Description: Testing and documenting code that communicates with remote servers
    can be painful. This package helps with writing tests for packages that
    use 'httr2'. It enables testing all of the logic
    on the R sides of the API without requiring access to the
    remote service, and it also allows recording real API responses to use as
    test fixtures. The ability to save responses and load them offline also
    enables writing vignettes and other dynamic documents that can be
    distributed without access to a live server.
Version: 1.1.0
Authors@R: c(
        person("Neal", "Richardson", role=c("aut", "cre"), email="neal.p.richardson@gmail.com", comment=c(ORCID="0009-0002-7992-3520")),
        person("Jonathan", "Keane", role="ctb", email="jkeane@gmail.com"),
        person("Maëlle", "Salmon", role="ctb", email="maelle.salmon@yahoo.se", comment=c(ORCID="0000-0002-2815-0399"))
    )
URL: https://enpiar.com/httptest2/,
        https://github.com/nealrichardson/httptest2
BugReports: https://github.com/nealrichardson/httptest2/issues
License: MIT + file LICENSE
Imports: digest, httr2, jsonlite, rlang, stats, testthat, utils
Suggests: curl, knitr, pkgload, rmarkdown, spelling, webfakes, xml2
Language: en-US
RoxygenNote: 7.3.1
Encoding: UTF-8
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-04-26 13:22:35 UTC; npr
Author: Neal Richardson [aut, cre] (<https://orcid.org/0009-0002-7992-3520>),
  Jonathan Keane [ctb],
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
Maintainer: Neal Richardson <neal.p.richardson@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-26 13:40:02 UTC

=== debian/changelog ===
r-cran-httptest2 (1.1.0+ds-2) unstable; urgency=medium

  * d/rules: Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Jul 2024 16:42:03 +0200

r-cran-httptest2 (1.1.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #1076055)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 01:03:50 +0200

=== debian/control ===
Source: r-cran-httptest2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httptest2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httptest2.git
Homepage: https://cran.r-project.org/package=httptest2
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-httr2,
               r-cran-jsonlite,
               r-cran-rlang,
               r-cran-testthat
Testsuite: autopkgtest-pkg-r

Package: r-cran-httptest2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Test Helpers for 'httr2'
 Testing and documenting code that communicates with remote servers
 can be painful. This package helps with writing tests for packages that
 use 'httr2'. It enables testing all of the logic
 on the R sides of the API without requiring access to the
 remote service, and it also allows recording real API responses to use as
 test fixtures. The ability to save responses and load them offline also
 enables writing vignettes and other dynamic documents that can be
 distributed without access to a live server.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-knitr,
        r-cran-pkgload,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-webfakes,
        r-cran-xml2
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz \
https://cloud.r-project.org/src/contrib/httptest2_([-\d.]*)\.tar\.gz

## r-cran-httptest2 1.2.2+ds

=== debian/changelog ===
r-cran-httptest2 (1.2.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 15:07:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-httptest2
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httptest2
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httptest2.git
-Homepage: https://cran.r-project.org/package=httptest2
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,8 +11,14 @@
                r-cran-httr2,
                r-cran-jsonlite,
                r-cran-rlang,
-               r-cran-testthat
-Testsuite: autopkgtest-pkg-r
+               r-cran-testthat,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httptest2
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httptest2.git
+Homepage: https://cran.r-project.org/package=httptest2
+Rules-Requires-Root: no
 
 Package: r-cran-httptest2
 Architecture: all
